Bug 756855 - Menu partly behind Shell titlebar.
Menu partly behind Shell titlebar.
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
16
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
: Reopened
: 756905 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-24 15:50 EST by bibo
Modified: 2013-02-18 06:40 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-18 06:40:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot of the issue. (95.47 KB, image/png)
2011-11-24 15:50 EST, bibo
no flags Details
the upper entry is behind the gnome-title bar (101.16 KB, image/png)
2012-02-11 20:28 EST, Rolle
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 633620 None None None Never

  None (edit)
Description bibo 2011-11-24 15:50:04 EST
Created attachment 536050 [details]
Screenshot of the issue.

Description of problem:
I have found an odd behaviour of the eclipse RCP:
If i open a context menu (for example right-click on a project), the sometimes the first entry will be displayed behind the upper gnome bar.
In Eclipse this bug is really annoying because there is the "new" menu entry.

Version-Release number of selected component (if applicable):
Latest official version for Fedora, 3.7.1

How reproducible:
Should be very good reproducible as the bug occurs every time at the same place.

Steps to Reproduce:
1. Start Eclipse
2. Click on a project located in the middle of the screen, so that the first entry should appear on the very top of the screen.
  
Actual results:
The entry seems to be hidden behind the gnome shell title bar.

Expected results:
The entry apears.

Additional info:
I am using Fedora 16 and Gnome Shell in the current version.
Comment 1 Andrew Overholt 2011-11-24 15:59:55 EST
Is there any chance you could try to reproduce with an upstream download? If so, try downloading this file, extracting its contents to a directory, and running ./eclipse in that expanded directory:

http://download.eclipse.org/eclipse/downloads/drops4/S-4.2M3-201110281100/download.php?dropFile=eclipse-SDK-4.2M3-linux-gtk-x86_64.tar.gz

or this if you're on x86:

http://download.eclipse.org/eclipse/downloads/drops4/S-4.2M3-201110281100/download.php?dropFile=eclipse-SDK-4.2M3-linux-gtk.tar.gz

The upstream community is in a much better place to fix such issues.  Thanks.
Comment 2 bibo 2011-11-25 05:17:05 EST
I have found the bug in eclipse.org bugtracker.

https://bugs.eclipse.org/bugs/show_bug.cgi?id=343278

And a demonstration in this video:

http://fedorapeople.org/~jerboaa/bugs/eclipse-new-context-menu-unreachable.webm

As the eclipse people are already informed, i think this bug could be closed.
Comment 3 Andrew Overholt 2011-11-25 12:12:11 EST
*** Bug 756905 has been marked as a duplicate of this bug. ***
Comment 4 Rolle 2012-02-11 20:26:37 EST
The same situations exist in nautilus 3.2.1 and firefox 10.0.2 for instance. Gnome 3.2.1
Comment 5 Rolle 2012-02-11 20:28:54 EST
Created attachment 561174 [details]
the upper entry is behind the gnome-title bar
Comment 6 Chris Simmons 2012-06-06 10:47:41 EDT
Seems like the same problem as bug 767338.
Comment 7 Thomas Ahle 2012-08-02 06:24:36 EDT
This is still reproducable in fedora 17 with
Eclipse Juno
Version: 4.2.0
Build id: I20120608-1400
Comment 8 Fedora End Of Life 2013-01-16 05:08:24 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2013-02-13 03:26:43 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Severin Gehwolf 2013-02-13 05:42:50 EST
Reassigning to gnome-shell. Upstream bug is here:
https://bugzilla.gnome.org/show_bug.cgi?id=690328
Comment 11 Florian Müllner 2013-02-14 03:16:40 EST
(In reply to comment #10)
> Reassigning to gnome-shell. Upstream bug is here:
> https://bugzilla.gnome.org/show_bug.cgi?id=690328

It's a long-standing shell issue, the canonical upstream bug is https://bugzilla.gnome.org/show_bug.cgi?id=633620; the problem will be fixed in the upcoming 3.8 release.
Comment 12 Krzysztof Daniel 2013-02-18 06:40:44 EST
This will be fixed in the upstream gnome source.

Note You need to log in before you can comment on or make changes to this bug.